#ifndef CBCP_H
#define CBCP_H

typedef struct cbcp_state {
    int    us_unit;	/* Interface unit number */
    u_char us_id;		/* Current id */
    u_char us_allowed;
    int    us_type;
    char   *us_number;    /* Telefone Number */
} cbcp_state;

void cbcp_init      __P((int));
void cbcp_open      __P((int));
void cbcp_lowerup   __P((int));
void cbcp_input     __P((int, u_char *, int));
void cbcp_protrej   __P((int));
int  cbcp_printpkt  __P((u_char *, int,
			    void (*) __P((void *, char *, ...)),
			    void *));

extern struct protent cbcp_protent;

extern cbcp_state cbcp[];

#define CBCP_MINLEN 4

#define CBCP_REQ    1
#define CBCP_RESP   2
#define CBCP_ACK    3

#define CB_CONF_NO     1
#define CB_CONF_USER   2
#define CB_CONF_ADMIN  3
#define CB_CONF_LIST   4
#endif
